#' Hypothetical dataset list for testing purposes
#'
#' This list contains three components: sv, delay, and real_k, representing subjective values, delay durations, and the real discount rate respectively.
#'
#' @format A list with three components:
#' \describe{
#'   \item{sv}{A numeric vector of subjective values.}
#'   \item{delay}{A numeric vector of delay durations (in arbitrary units).}
#'   \item{real_k}{A numeric value representing the real discount rate.}
#' }
#' @source Hypothetical data generated for demonstration.
#' @examples
#' data(hyp_data_list)
#' str(hyp_data_list)
"hyp_data_list"
